summaryrefslogtreecommitdiff
path: root/helpers/lh_chroot_preseed
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_chroot_preseed')
-rwxr-xr-xhelpers/lh_chroot_preseed76
1 files changed, 76 insertions, 0 deletions
diff --git a/helpers/lh_chroot_preseed b/helpers/lh_chroot_preseed
new file mode 100755
index 0000000..88f9dd3
--- /dev/null
+++ b/helpers/lh_chroot_preseed
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# lh_chroot_preseed(1) - mount /proc
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="execute preseed in chroot"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+Echo_message "Begin executing preseed..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/chroot_preseed
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+if [ -n "${LIVE_PRESEED}" ]
+then
+ if [ -f "${LIVE_PRESEED}" ]
+ then
+ # Check dependency
+ Check_package chroot/usr/bin/debconf-set-selections debconf
+
+ # Install dependency
+ Install_package
+
+ # Copying preseed
+ cp "${LIVE_PRESEED}" chroot/root/preseed
+
+ Chroot "debconf-set-selections /root/preseed"
+
+ # Removing preseed file
+ rm -f chroot/root/preseed
+
+ # Remove dependency
+ Remove_package
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_preseed
+ fi
+else
+ Echo_error "'${LIVE_PRESEED}' file doesn't exists."
+ exit 1
+fi